audits
Pages crawled
By URL. search matches the URL.
GET
/
v1
/
projects
/
{projectId}
/
audits
/
{auditId}
/
pages
Pages crawled
curl --request GET \
--url https://api.surnex.io/v1/projects/{projectId}/audits/{auditId}/pagesimport requests
url = "https://api.surnex.io/v1/projects/{projectId}/audits/{auditId}/pages"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.surnex.io/v1/projects/{projectId}/audits/{auditId}/pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"status_code": 123,
"title": "<string>",
"description": "<string>",
"h1": "<string>",
"word_count": 123,
"load_time_ms": 123,
"size_bytes": 123,
"internal_links_count": 123,
"external_links_count": 123,
"images_count": 123,
"images_without_alt": 123,
"is_indexable": true,
"canonical_url": "<string>"
}
],
"meta": {
"page": 2,
"per_page": 250,
"total": 1
}
}Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 200⌘I
Pages crawled
